Bug 179153 - RFE: [PATCH] backport GetConnectionSELinuxSecurityContext functionality to RHEL4
RFE: [PATCH] backport GetConnectionSELinuxSecurityContext functionality to RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dbus (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: FutureFeature
Depends On:
Blocks: 179154
  Show dependency treegraph
 
Reported: 2006-01-27 14:52 EST by Nalin Dahyabhai
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0190
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of the GetConnectionSELinuxSecurityContext function (5.29 KB, patch)
2006-01-27 18:07 EST, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2006-01-27 14:52:49 EST
Description of problem:
I've got a D-BUS service provider which can use the SELinux context of a client
as a factor in authorization decisions when it's servicing its clients, but the
version of D-BUS which is in RHEL4 doesn't support the
GetConnectionSELinuxSecurityContext bus methods.

Version-Release number of selected component (if applicable):
0.22-12.EL.5

How reproducible:
Always

Steps to Reproduce:
1. Determine your client's ID.
2. Attempt to read your own SELinux context via the bus daemon.
  
Actual results:
org.freedesktop.DBus does not understand message GetConnectionSELinuxSecurityContext

Expected results:
My context.

Additional info:
If this is implemented, please do so in a way that's detectable at compile-time,
so that I can continue to invisotext the portions of my documentation which
describe functionality which depends on this function.
Comment 1 Nalin Dahyabhai 2006-01-27 18:07:19 EST
Created attachment 123810 [details]
backport of the GetConnectionSELinuxSecurityContext function
Comment 3 Daniel Riek 2006-08-28 18:50:39 EDT
The component of this request is planned to be updated in Red Hat enterprise
Linux 4.5.

This enhancement request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux maintenance release.

Product Management has requested further review of this request by Red Hat
Engineering, for potential inclusion in a Red Hat Enterprise Linux Update
release for currently deployed products.

This request is not yet committed for inclusion in an Update release. 
Comment 8 Red Hat Bugzilla 2007-05-01 13:13:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0190.html

Note You need to log in before you can comment on or make changes to this bug.